Bug 296951

Summary: Tray plasmoid scroll/hiding issues [read description]
Product: kmix Reporter: Luke <lukasas>
Component: generalAssignee: Christian Esken <esken>
Status: RESOLVED FIXED    
Severity: normal    
Priority: NOR    
Version: 4   
Target Milestone: ---   
Platform: unspecified   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: screencast of a bugs

Description Luke 2012-03-28 09:04:22 UTC
Ok, I've noticed something:

First bug:
a) Left-click on kmix tray icon scroll-box will appear (don't move mouse! let it be over tray icon), now scroll with your mouse - nothing happens. 

b) Move your mouse over kmix tray icon, scroll with your mouse so volume will change and then left-click (don't move mouse! let it be over tray icon), now scroll with your mouse - volume scroll is moving!

Second bug:
a) Left-click on kmix tray icon so scroll-box will appear, move your mouse somewhere else then left-click - scroll-box will hide.
b) Move your mouse over kmix tray icon, scroll with your mouse so volume will change and then left-click, scroll-box will appear, click somewhere else - scroll-box is not hiding! You need to explicitly click on kmix tray icon to hide it.

Arch Linux x86_64 up-to-date with KDE 4.8.1
Comment 1 Luke 2012-06-05 20:33:51 UTC
This is still true for 4.9 beta 1
Comment 2 Christian Esken 2012-08-04 21:23:28 UTC
About the First bug:
a) Left-click on kmix tray icon scroll-box will appear (don't move mouse! let it be over tray icon), now scroll with your mouse - nothing happens.
Quite likely I cannot fix this - you need to move the mouse to the new window.

b) Move your mouse over kmix tray icon, scroll with your mouse so volume will change
Stop: The mouse does not leave the KMix icon, so we are in the same situation as before and it doesn't move. Did you make an error in the description?
[... and then left-click (don't move mouse! let it be over tray icon), now scroll with your mouse - volume scroll is moving!]

Second bug:
Looks like this has been fixed in Qt 4.8.1.

Please report back.
Comment 3 Luke 2012-08-05 22:27:06 UTC
Created attachment 72976 [details]
screencast of a bugs
Comment 4 Luke 2012-08-05 22:30:41 UTC
(In reply to comment #2)
> Quite likely I cannot fix this - you need to move the mouse to the new
> window.

No you don't - see screencast.

> Stop: The mouse does not leave the KMix icon, so we are in the same
> situation as before and it doesn't move. Did you make an error in the
> description?

No, it's not error description. It's easier to see it so I've made you screencast (see attachment)

> Second bug:
> Looks like this has been fixed in Qt 4.8.1.

Qt 4.8.2 here, KDE 4.8.4 (upgrade to 4.9 soon)

PS sorry for double post
Comment 5 Christian Esken 2012-08-14 06:56:30 UTC
Thats an interesting screencast. It definitely behaves different on my machine. Sometimes mouse wheel/click events seem not to get delivered to KMix - either the System Tray discards those events or sends them somewhere else. I fear there is too much magic going on behind the scenes, and I personally do not have the reosurces to investigate it.
Luke, unless you are able to do some debugging, I thus must put this ticket on hold.
Comment 6 Luke 2012-08-14 10:02:10 UTC
(In reply to comment #5)
> Luke, unless you are able to do some debugging, I thus must put this ticket
> on hold.

I can try in my spare time but need guidance what and how to do it.
Comment 7 Christian Esken 2012-09-11 19:40:24 UTC
Unless you are doing C++ development yourself, guidance won't work. If you do, I can give basic hints, but it would need much effort from your side, adding debug statement and own code here and there, compiling, trying out things on yourself.
Comment 8 Luke 2012-09-11 19:42:40 UTC
Sorry, I'm no coder you're looking for :(
Comment 9 Christian Esken 2013-12-18 13:56:05 UTC
I have done some changes to the Tray, most prominently:
 - Sound Menu pops up outside of the panel
 - Technically marked this window as Tray Popup Window
 - Removed option to show KMix Window instead of Sound Menu, and the dangerous related state management.

I am not sure whether it changes anything about this ticket. But in general I am seeing advances in the cocking behavior, so I tend to simply close this ticket as fixed. If you still have problems with KDE 4.13, please open a new ticket.
Comment 10 Christian Esken 2013-12-20 10:24:23 UTC
Git commit 0f7a603e1d327f76dbd6a62d08315b1956794d42 by Christian Esken.
Committed on 20/12/2013 at 10:17.
Pushed by esken into branch 'master'.

Configuration menu is now using Tabs to provide a more standard,
  convenient and pleasing layout
 Sound Menu: Play button reflects playback status and shows either
  "Play" or "Pause"
 Bugfixes and Features (CCBUGS, as most bugs are already closed). Hint: Some
bugs might have actually been alreay fixed ibn KDE4.11 or KDE4.12.

Bug ID	Severity	Summary
Related: bug 317926, bug 20, bug 315383, bug 299477, bug 256854, bug 304144, bug 303608, bug 214854, bug 319600
applet
volume control
position.

M  +9    -5    CMakeLists.txt
M  +41   -20   ChangeLog
M  +5    -1    apps/KMixApp.cpp
M  +167  -238  apps/kmix.cpp
M  +8    -13   apps/kmix.h
M  +3    -0    apps/kmixctrl.cpp
M  +3    -0    apps/kmixd.cpp
M  +18   -12   backends/mixer_backend.cpp
M  +1    -0    backends/mixer_backend.h
M  +229  -150  backends/mixer_mpris2.cpp
M  +23   -6    backends/mixer_mpris2.h
M  +8    -2    backends/mixer_oss.cpp
M  +1    -1    backends/mixer_pulse.cpp
M  +9    -9    core/ControlManager.cpp
M  +102  -15   core/GlobalConfig.cpp
M  +105  -47   core/GlobalConfig.h
M  +65   -31   core/kmixdevicemanager.cpp
M  +9    -4    core/mixdevice.cpp
M  +4    -12   core/mixdevice.h
M  +6    -4    core/mixer.cpp
M  +16   -10   core/mixertoolbox.cpp
M  +1    -1    core/version.h
M  +17   -3    core/volume.cpp
M  +9    -8    core/volume.h
M  +19   -6    gui/dialogchoosebackends.cpp
M  +1    -1    gui/dialogchoosebackends.h
M  +9    -2    gui/dialogviewconfiguration.cpp
M  +37   -10   gui/guiprofile.cpp
M  +27   -24   gui/guiprofile.h
M  +93   -118  gui/kmixdockwidget.cpp
M  +3    -4    gui/kmixdockwidget.h
M  +13   -11   gui/kmixerwidget.cpp
M  +296  -91   gui/kmixprefdlg.cpp
M  +82   -32   gui/kmixprefdlg.h
M  +87   -38   gui/mdwslider.cpp
M  +4    -2    gui/mdwslider.h
M  +69   -42   gui/viewbase.cpp
M  +1    -0    gui/viewbase.h
M  +25   -30   gui/viewdockareapopup.cpp
M  +1    -1    gui/viewdockareapopup.h
M  +4    -4    gui/viewsliders.cpp
M  +1    -1    gui/volumesliderextradata.h

http://commits.kde.org/kmix/0f7a603e1d327f76dbd6a62d08315b1956794d42